local WarReportLogic = require("warReport.WarReportLogic")

-- 查询
function CG_WAR_REPORT_QUERY(human, msg)
   WarReportLogic.query(human, msg.type, msg.questType)
end

-- 回放
function CG_WAR_REPORT_PLAY_BACK(human, msg)

    WarReportLogic.playBack(human, msg.type, msg.id)
end

-- 分享
function CG_WAR_REPORT_SHARE(human, msg)

    WarReportLogic.share(human, msg.type, msg.id, msg.chatType)
end

-- 收藏
function CG_WAR_REPORT_COLLECT(human, msg)

   WarReportLogic.collect(human, msg.type, msg.id, msg.op)
end

-- 点赞
function CG_WAR_REPORT_ADMIRE(human, msg)

   WarReportLogic.admire(human, msg.type, msg.id)
end

-- 查看伤害记录
function CG_WAR_REPROT_HARM(human, msg)

   WarReportLogic.harm(human, msg.type, msg.id)
end